​

Add time log

POST
https://example.kaiten.ru/api/latest/cards/{card_id}/time-logs
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
role_id
required
integer

Role id, predefined role is: -1 - Employee

time_spent
required
integer
minimum: 1

Minutes to log

for_date
required
string

Log date in format YYYY-MM-DD, for example 2025-12-24

comment
string
maxLength: 4096

Anything you would like to comment along with time log

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Card time log id
card_id

integer

Card id
user_id

integer

User id
role_id

integer

Role id, predefined role is: -1 - Employee
author_id

integer

Author id
updater_id

integer

Last updater id
time_spent

integer

Minutes to log
for_date

string

Log date
comment

null | string

Time log comment
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/time-logs' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!